跳转到内容
简体中文

操作清单

GET/v1/operations

返回最后 100 个操作。单个邮箱的会话只能看到其操作。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X GET 'https://adapt-mail.com/v1/operations' \
-H 'Authorization: Bearer <access_token>'

选项

X-Customer-IDheader
选项 1

string

选项 2

null

响应

200 成功回复

application/json

array

数组元素

object

id

string · uuid

用于检查状态和取消待处理提交的操作 ID。

kind

string

mailbox_id
选项 1

integer

选项 2

null

status

string

有效值: "queued" "running" "succeeded" "failed" "uncertain" "cancelled"

run_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

created_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

completed_at
选项 1

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

选项 2

null

error

如果操作未成功完成,则错误的原因。

选项 1

string

选项 2

null

result

操作的结果。对于发送,包含有关接受和拒绝的收件人的信息。

选项 1

object

选项 2

null

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object